This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1311220 - (CVE-2016-2142) CVE-2016-2142 openshift: Bind password for AD account is stored in world readable file
CVE-2016-2142 openshift: Bind password for AD account is stored in world read...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20160217,repor...
: Security
Depends On: 1310289 1314035 1314036
Blocks: 1311222 1324911 1326106
  Show dependency treegraph
 
Reported: 2016-02-23 11:02 EST by Adam Mariš
Modified: 2016-05-11 12:26 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
An access flaw was discovered in OpenShift; the /etc/origin/master/master-config.yaml configuration file, which could contain Active Directory credentials, was world-readable. A local user could exploit this flaw to obtain authentication credentials from the master-config.yaml file.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-11 12:26:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2016-02-23 11:02:08 EST
It was reported that when OpenShift Enterprise 3  is configured to us AD authentication, bind password for AD account is stored in a world readable file:

/etc/origin/master/master-config.yaml
Comment 6 errata-xmlrpc 2016-05-11 09:33:00 EDT
This issue has been addressed in the following products:

  Red Hat OpenShift Enterprise 3.1

Via RHSA-2016:1038 https://access.redhat.com/errata/RHSA-2016:1038

Note You need to log in before you can comment on or make changes to this bug.